IntelliPhoto 0.5

Public Member Functions | Protected Attributes | List of all members
IntelliShapedImage Class Reference

The IntelliShapedImage manages a Shapedimage. More...

`#include <IntelliShapedImage.h>`

Inheritance diagram for IntelliShapedImage:
[legend]
Collaboration diagram for IntelliShapedImage:
[legend]

## Public Member Functions
| IntelliShapedImage (int weight, int height)
| The Construcor of the IntelliShapedImage. Given the Image dimensions. More...
virtual | ~IntelliShapedImage () override
| An Destructor. More...
virtual QImage | getDisplayable (const QSize &displaySize, int alpha=255) override
| A function returning the displayable ImageData in a requested transparence and size. More...
virtual QImage | getDisplayable (int alpha=255) override
| A function returning the displayable ImageData in a requested transparence and it's standart size. More...
virtual IntelliImage * | getDeepCopy () override
| A function that copys all that returns a [allocated] Image. More...
virtual std::vector< QPoint > | getPolygonData () override
| A function that returns the Polygondata if existent. More...
virtual void | setPolygon (const std::vector< QPoint > &polygonData) override
| A function that sets the data of the visible Polygon. More...
Public Member Functions inherited from IntelliRasterImage
| IntelliRasterImage (int weight, int height)
| The Construcor of the IntelliRasterImage. Given the Image dimensions. More...
virtual | ~IntelliRasterImage () override
| An Destructor. More...
Public Member Functions inherited from IntelliImage
| IntelliImage (int weight, int height)
| The Construcor of the IntelliImage. Given the Image dimensions. More...
virtual | ~IntelliImage ()=0
| An Abstract Destructor. More...
virtual void | drawPixel (const QPoint &p1, const QColor &color)
| A funtcion used to draw a pixel on the Image with the given Color. More...
virtual void | drawLine (const QPoint &p1, const QPoint &p2, const QColor &color, const int &penWidth)
| A function that draws A Line between two given Points in a given color. More...
virtual void | drawPoint (const QPoint &p1, const QColor &color, const int &penWidth)
| A. More...
virtual void | drawPlain (const QColor &color)
| A function that clears the whole image in a given Color. More...
virtual bool | loadImage (const QString &fileName)
| A function that loads and sclaes an image to the fitting dimensions. More...
virtual QColor | getPixelColor (QPoint &point)
| A function that returns the pixelcolor at a certain point. More...

## Protected Attributes
std::vector< QPoint > | polygonData
| The Vertices of The Polygon. Needs to be a planar Polygon. More...
Protected Attributes inherited from IntelliImage
QImage | imageData
| The underlying image data. More...

## Additional Inherited Members
Protected Member Functions inherited from IntelliImage
void | resizeImage (QImage *image, const QSize &newSize)

## Detailed Description

The IntelliShapedImage manages a Shapedimage.

Definition at line 11 of file IntelliShapedImage.h.

## Constructor & Destructor Documentation

## ◆ IntelliShapedImage()

IntelliShapedImage::IntelliShapedImage | ( | int | weight,
|  | int | height
| ) |  |

The Construcor of the IntelliShapedImage. Given the Image dimensions.

Parameters

  weight | - The weight of the Image.
  height | - The height of the Image.

Definition at line 7 of file IntelliShapedImage.cpp.

Here is the caller graph for this function:

## ◆ ~IntelliShapedImage()

IntelliShapedImage::~IntelliShapedImage | ( |  | ) |
| override virtual

An Destructor.

Definition at line 11 of file IntelliShapedImage.cpp.

## Member Function Documentation

## ◆ getDeepCopy()

IntelliImage * IntelliShapedImage::getDeepCopy | ( |  | ) |
| override virtual

A function that copys all that returns a [allocated] Image.

Returns
  A [allocated] Image with all the properties of the instance.

Reimplemented from IntelliRasterImage.

Definition at line 19 of file IntelliShapedImage.cpp.

Here is the call graph for this function:

## ◆ getDisplayable() [1/2]

QImage IntelliShapedImage::getDisplayable | ( | const QSize & | displaySize,
|  | int | alpha = `255`
| ) |  |
| override virtual

A function returning the displayable ImageData in a requested transparence and size.

Parameters

  displaySize | - The size, in whcih the Image should be displayed.
  alpha | - The maximum alpha value, a pixel can have.

Returns
  A QImage which is ready to be displayed.

Reimplemented from IntelliRasterImage.

Definition at line 54 of file IntelliShapedImage.cpp.

Here is the caller graph for this function:

## ◆ getDisplayable() [2/2]

QImage IntelliShapedImage::getDisplayable | ( | int | alpha = `255` | ) |
| override virtual

A function returning the displayable ImageData in a requested transparence and it's standart size.

Parameters

  alpha | - The maximum alpha value, a pixel can have.

Returns
  A QImage which is ready to be displayed.

Reimplemented from IntelliRasterImage.

Definition at line 15 of file IntelliShapedImage.cpp.

Here is the call graph for this function:

## ◆ getPolygonData()

virtual std::vector<QPoint> IntelliShapedImage::getPolygonData | ( |  | ) |
| inline override virtual

A function that returns the Polygondata if existent.

Returns
  The Polygondata if existent.

Reimplemented from IntelliImage.

Definition at line 67 of file IntelliShapedImage.h.

## ◆ setPolygon()

void IntelliShapedImage::setPolygon | ( | const std::vector< QPoint > & | polygonData | ) |
| override virtual

A function that sets the data of the visible Polygon.

Parameters

  polygonData | - The Vertices of the Polygon. Just Planar Polygons are allowed.

Reimplemented from IntelliRasterImage.

Definition at line 66 of file IntelliShapedImage.cpp.

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ polygonData

std::vector<QPoint> IntelliShapedImage::polygonData
| protected

The Vertices of The Polygon. Needs to be a planar Polygon.

Definition at line 28 of file IntelliShapedImage.h.

The documentation for this class was generated from the following files:

- intelliphoto/src/Image/IntelliShapedImage.h
- intelliphoto/src/Image/IntelliShapedImage.cpp